/* ////////////////////////////////////////////////////////////////////////////

// Project: Sharing data from a RDBMS with a Protege project using JDBC/ODBC.

// Developer: My Nguyen

/////////////////////////////////////////////////////////////////////////////*/

package DataGenieTab;

///////////////////////////////////////////////////////////////////////////////
// IMPORTS

// Java SDK
import java.lang.*;


///////////////////////////////////////////////////////////////////////////////
// ColumnInfo

// The ColumnInfo class stores information about a column (or field) in a table.
// It stores the name and SQL type of the column, and this information is used
// to check the types of the two columns in a entity relationship to make sure
// that they are the same.

class ColumnInfo extends Object {

	// Constructor
	
	public ColumnInfo(String name, int sqlType) {
		this.name = name;
		this.sqlType = sqlType;
	}

	// Override Object toString method

	public String toString() {
		return name;
	}

	// Class data

	public String name;
	public int sqlType;
}


